Bulk delete Splits
curl --request POST \
--url https://api.royalti.io/split/bulk/delete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ids": [
"a8787d14-1149-4b10-9e29-7ef054de8c3f",
"b9898e25-2250-5c21-af3a-8fg165ef9d4g",
"c0a0af36-3361-6d32-bg4b-9gh276fg0e5h"
]
}
'import requests
url = "https://api.royalti.io/split/bulk/delete"
payload = { "ids": ["a8787d14-1149-4b10-9e29-7ef054de8c3f", "b9898e25-2250-5c21-af3a-8fg165ef9d4g", "c0a0af36-3361-6d32-bg4b-9gh276fg0e5h"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
ids: [
'a8787d14-1149-4b10-9e29-7ef054de8c3f',
'b9898e25-2250-5c21-af3a-8fg165ef9d4g',
'c0a0af36-3361-6d32-bg4b-9gh276fg0e5h'
]
})
};
fetch('https://api.royalti.io/split/bulk/delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Split configurations deleted successfully",
"deletedCount": 3,
"errors": []
}{
"message": "Some split configurations could not be deleted",
"errors": [
"Split configuration with ID a8787d14-1149-4b10-9e29-7ef054de8c3f not found"
]
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
"<string>"
]
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
"<string>"
]
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
"<string>"
]
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
"<string>"
]
}
}Splits
Bulk delete Splits
Bulk Delete Revenue Split Configurations
POST
/
split
/
bulk
/
delete
Bulk delete Splits
This endpoint requires authentication. Include your Bearer token in the Authorization header.
Description
Bulk Delete Revenue Split Configurations The Bulk Delete Revenue Split Configurations endpoint (/split/bulk/delete) allows users to delete multiple revenue split configurations in bulk.
Authorization:
- Required role:
adminor higher
POST
Request Payload:
The request payload should be a JSON object with an array of revenue split configuration IDs (ids) to be deleted.
| Parameter | Type | Required | Description |
|---|---|---|---|
| ids | string[] | Yes | An array of revenue split configuration IDs (UUIDs) to be deleted |
This request deletes multiple revenue split configurations with the specified UUIDs. Ensure you provide the necessary authentication token in the request header and the IDs of the configurations you want to delete in the request payload.
Code Examples
const response = await fetch('https://api.royalti.io/split/bulk/delete', {
method: 'POST',
headers: {
'Authorization': `Bearer ${token}`,
'Content-Type': 'application/json'
},
body: JSON.stringify({
"ids": [
{}
]
})
});
const data = await response.json();
console.log(data);
import requests
response = requests.post(
'https://api.royalti.io/split/bulk/delete',
headers={
'Authorization': f'Bearer {token}'
},
json={"ids":[{}]}
)
data = response.json()
print(data)
curl -X POST https://api.royalti.io/split/bulk/delete \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{"ids":[{}]}'
Authorizations
JWT Authorization header using the Bearer scheme. Format: "Bearer {token}"
Body
application/json
An array of revenue split configuration IDs (UUIDs) to be deleted
⌘I